Get app download status
Poll the status of an app download job started by Initiate app download. Poll until status is complete, then fetch the file from Get app download file.
Job visibility
Download jobs are visible only to the user the job runs as. If a job was started with auserId parameter, fetch the results with the same userId.
Additionally, the specified user must still have access to the app when fetching the results using this endpoint.Authorizations
Can be either an Organization API Key or Personal Access Token (PAT).
Include in the Authorization header as: Bearer YOUR_TOKEN
Path Parameters
The document's URL slug (e.g. abc123) or its canonical workbook UUID.
"12db1a0a"
The job ID returned by Initiate app download.
"123e4567-e89b-12d3-a456-426614174000"
Query Parameters
Organization API key required. The membership ID of the user to act as.
Response
Download job status.
When the job was created (ISO 8601)
"2026-10-13T18:30:00.000Z"
Current status of the download job:
in_progresswhile the app renderscompleteonce the file can be fetchederrorif the job failed
in_progress, complete, error "complete"
Why the job failed. Present only when status is error.
Output format. Omitted when status is error.
link_only, pdf, png, csv, xlsx, json, ai_prompt, ai_summary_text "png"
Download job ID. Omitted when status is error.

